<?php
include('../includes/validador.php');
include('../conexiones/conex.php');
include('../includes/funciones.php');

$idpers = $_POST['idalumno'];

//DATOS PARA MATRICULACION
$curso = $_POST['curso_int'];
$turno = $_POST['turno'];
$escuela = $_POST['escuela_proc'];
$anho_lect = $_POST['anho_lect'];
$timbrado = $_POST['timbrado'];

//DATOS PARA PAGO
$monto_matr = limpiar3($_POST['monto_matricula']);
$saldo_matr = limpiar3($_POST['saldo_matricula']);
$monto_cuota = limpiar3($_POST['monto_cuota']); //monto_abonado
$forma_pago = $_POST['forma_pago'];
$nombre_banco = $_POST['nombre_banco'];
$num_cheque = $_POST['num_cheque'];
$razon_social = $_POST['razon_social'];
$ruc_ci = $_POST['ruc_ci'];
$direccion = $_POST['direccion'];

if ($_POST['monto_cheque'] == "") {
    $monto_cheque = 0;
} else {
    $monto_cheque = limpiar3($_POST['monto_cheque']);
}
if (isset($_POST['obs_matricula'])) {
    $obs_matricula = $_POST['obs_matricula'];
} else {
    $obs_matricula = "";
}
$factura = $_POST['factura'];
$fechaAct = date("Y-m-d");
$fecta_matr = fechaNormal($_POST['fecha_matr']);


if ($monto_matr >= $saldo_matr) {
    if ($saldo_matr == 0) {
        $saldo_matr = $monto_matr;
    }

    try {
        $con->autocommit(FALSE);

        if (($_POST['idmatr'] == "")) {

            //QUERY MATRICULACION
            $queryMatr = "INSERT INTO matricula (Persona_id, Curso_id, Turno, AhoLectivo, Obs_Matricula, montoMatricula, montoCuota)
                    VALUES(
                        '$idpers', 
                        '$curso', 
                        '$turno', 
                        '$anho_lect', 
                        '$obs_matricula', 
                        '$monto_matr', 
                        '$monto_cuota'
                        )";
            $con->query($queryMatr) or throw_ex(mysqli_error($con)); //si re registró bien
            $idmatr = $con->insert_id;
            //fin query matriculacion

        } else {
            $idmatr = $_POST['idmatr'];
        }


        //QUERY PAGO
        $queryPagoMatr = "INSERT INTO pagos_matriculas (matricula_INT, monto_matricula, monto_abonado, forma_pago, cheque_banco, num_cheque, monto_cheque, num_factura, timbrado, fecha_registro, fecha_matricula, pago_nombre, pago_ruc_ci, pago_direccion)
                VALUES(
                    '$idmatr', 
                    '$monto_matr', 
                    '$monto_matr', 
                    '$forma_pago', 
                    '$nombre_banco', 
                    '$num_cheque', 
                    '$monto_cheque', 
                    '$factura',
                    '$timbrado', 
                    '$fechaAct', 
                    '$fecta_matr', 
                    '$razon_social', 
                    '$ruc_ci', 
                    '$direccion'
                    )";
        $con->query($queryPagoMatr) or throw_ex(mysqli_error($con)); //si re registró bien
        $idpagomatr = $con->insert_id;
        //fin query pago

        $con->commit();
        $idmatr = $idmatr;
        $datos = array(
            0 => 1,
            1 => $idmatr,
            2 => $idpagomatr
        );
        echo json_encode($datos);
        $con->close();
    } catch (Exception $e) {
        $con->rollback();
        $datos = array(
            0 => 2,
            1 => "$e",
            2 => "",
        );
        echo json_encode($datos);
        $con->close();
    }
} else {
    $datos = array(
        0 => 3,
        1 => 0,
    );
    echo json_encode($datos);
    $con->close();
}
